package org.springblade.estate.feign;

import org.springblade.estate.dto.ArticleCountDto;
import org.springblade.estate.entity.Article;
import org.springblade.estate.vo.ArticleVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ArticleClientFallback implements IArticleClient {
            /**
         * 详情
         */
        @Override
        public ArticleVO detail(Article article) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<ArticleVO> list(Article article) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( Article article) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( Article article) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( Article article) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public ArticleCountDto getArticleCount() {
		return null;
	}

}
